{
  "$schema": "http://json-schema.org/draft-07/schema#",
  "properties": {
    "accessKey": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "ami": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "apiVersion": {
      "type": "string"
    },
    "blockDurationMinutes": {
      "default": "0",
      "nullable": true,
      "type": "string"
    },
    "deviceName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "enablePrimaryIpv6": {
      "default": false,
      "type": "boolean"
    },
    "encryptEbsVolume": {
      "default": false,
      "type": "boolean"
    },
    "endpoint": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "httpEndpoint": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "httpProtocolIpv6": {
      "default": "disabled",
      "nullable": true,
      "type": "string"
    },
    "httpTokens": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "iamInstanceProfile": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "insecureTransport": {
      "default": false,
      "type": "boolean"
    },
    "instanceType": {
      "default": "t2.micro",
      "nullable": true,
      "type": "string"
    },
    "ipv6AddressCount": {
      "default": "0",
      "nullable": true,
      "type": "string"
    },
    "ipv6AddressOnly": {
      "default": false,
      "type": "boolean"
    },
    "keypairName": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "kind": {
      "type": "string"
    },
    "kmsKey": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "metadata": {
      "type": "object"
    },
    "monitoring": {
      "default": false,
      "type": "boolean"
    },
    "openPort": {
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "privateAddressOnly": {
      "default": false,
      "type": "boolean"
    },
    "region": {
      "default": "us-east-1",
      "nullable": true,
      "type": "string"
    },
    "requestSpotInstance": {
      "default": false,
      "type": "boolean"
    },
    "retries": {
      "default": "5",
      "nullable": true,
      "type": "string"
    },
    "rootSize": {
      "default": "16",
      "nullable": true,
      "type": "string"
    },
    "secretKey": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "securityGroup": {
      "default": [
        "rancher-nodes"
      ],
      "items": {
        "nullable": true,
        "type": "string"
      },
      "nullable": true,
      "type": "array"
    },
    "securityGroupReadonly": {
      "default": false,
      "type": "boolean"
    },
    "sessionToken": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "spotPrice": {
      "default": "0.50",
      "nullable": true,
      "type": "string"
    },
    "sshKeyContents": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "sshUser": {
      "default": "ubuntu",
      "nullable": true,
      "type": "string"
    },
    "subnetId": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "tags": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "useEbsOptimizedInstance": {
      "default": false,
      "type": "boolean"
    },
    "usePrivateAddress": {
      "default": false,
      "type": "boolean"
    },
    "userdata": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "volumeType": {
      "default": "gp2",
      "nullable": true,
      "type": "string"
    },
    "vpcId": {
      "default": "",
      "nullable": true,
      "type": "string"
    },
    "zone": {
      "default": "a",
      "nullable": true,
      "type": "string"
    }
  },
  "type": "object"
}
